API referenceContacts
Get a contact’s activity
GET
/contacts/{id}/activityEmails sent to the contact, custom events, list changes and its creation, newest first. Page with before = next_before.
Authorization
apiKey AuthorizationBearer <token>
A project API key: Authorization: Bearer s0_…
In: header
Path Parameters
id*string
Length
1 <= length <= 254Query Parameters
limit?integer
Range
1 <= value <= 100before?string
Match
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Format
date-timeResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/contacts/string/activity"{ "object": "list", "has_more": true, "data": [ { "object": "contact_activity", "occurred_at": "2019-08-24T14:15:22Z", "type": "contact_created", "source": "api" } ], "next_before": "2019-08-24T14:15:22Z"}